Package com.xebialabs.xlrelease.domain.status

# Enum Class PhaseStatus

java.lang.Object
java.lang.Enum<PhaseStatus>
com.xebialabs.xlrelease.domain.status.PhaseStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<PhaseStatus>`, `Constable`

public enum PhaseStatus extends Enum<PhaseStatus>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ABORTED`
  `COMPLETED`
  `FAILED`
  `FAILING`
  `IN_PROGRESS`
  `PLANNED`
  `SKIPPED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `hasBeenStarted()`
  `boolean`
  `isActive()`
  `boolean`
  `isOneOf(PhaseStatus... statuses)`
  `String`
  `value()`
  `static PhaseStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PhaseStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PLANNED

    public static final PhaseStatus PLANNED

  - ### IN_PROGRESS

    public static final PhaseStatus IN_PROGRESS

  - ### COMPLETED

    public static final PhaseStatus COMPLETED

  - ### FAILING

    public static final PhaseStatus FAILING

  - ### FAILED

    public static final PhaseStatus FAILED

  - ### SKIPPED

    public static final PhaseStatus SKIPPED

  - ### ABORTED

    public static final PhaseStatus ABORTED

- ## Method Details

  - ### values

    public static PhaseStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PhaseStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()

  - ### hasBeenStarted

    public boolean hasBeenStarted()

  - ### isActive

    public boolean isActive()

  - ### isOneOf

    public boolean isOneOf(PhaseStatus... statuses)